Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt
Class RasterImageNode

    java.lang.Object
      org.apache.batik.gvt.AbstractGraphicsNode
          org.apache.batik.gvt.RasterImageNode

All Implemented Interfaces:
  GraphicsNode

    public class RasterImageNode

extends AbstractGraphicsNode

A graphics node that represents a raster image.

Field Summary
`protected Filter` | `image` The renderable image that represents this image node.

Fields inherited from class org.apache.batik.gvt.AbstractGraphicsNode
`changeCompletedEvent, changeStartedEvent, clip, composite, enableBackgroundGraphicsNodeRable, filter, graphicsNodeRable, hints, inverseTransform, isVisible, listeners, mask, parent, pointerEventType, root, transform, weakRef`

Fields inherited from interface org.apache.batik.gvt.GraphicsNode
`ALL, FILL, IDENTITY, NONE, PAINTED, STROKE, VISIBLE, VISIBLE_FILL, VISIBLE_PAINTED, VISIBLE_STROKE`

Constructor Summary
`RasterImageNode()` Constructs a new empty `RasterImageNode`.

Method Summary
`Rectangle2D` | `getGeometryBounds()` Returns the bounds of the area covered by this node, without taking any of its rendering attribute into account.
`Filter` | `getGraphicsNodeRable()` Returns the RenderableImage for this node.
`Filter` | `getImage()` Returns the raster image of this raster image node.
`Rectangle2D` | `getImageBounds()` Returns the bounds of this raster image node.
`Shape` | `getOutline()` Returns the outline of this node.
`Rectangle2D` | `getPrimitiveBounds()` Returns the bounds of the area covered by this node's primitive paint.
`Rectangle2D` | `getSensitiveBounds()` Returns the bounds of the sensitive area covered by this node, This includes the stroked area but does not include the effects of clipping, masking or filtering.
`void` | `primitivePaint(Graphics2D g2d)` Paints this node without applying Filter, Mask, Composite and clip.
`void` | `setImage(Filter newImage)` Sets the raster image of this raster image node.

Methods inherited from class org.apache.batik.gvt.AbstractGraphicsNode
`contains, fireGraphicsNodeChangeCompleted, fireGraphicsNodeChangeStarted, fireGraphicsNodeChangeStarted, fireGraphicsNodeChangeStarted, getBounds, getClip, getComposite, getEnableBackgroundGraphicsNodeRable, getFilter, getGlobalTransform, getGraphicsNodeRable, getInverseTransform, getMask, getParent, getPointerEventType, getRenderingHints, getRoot, getTransform, getTransformedBounds, getTransformedGeometryBounds, getTransformedPrimitiveBounds, getTransformedSensitiveBounds, getWeakReference, intersects, invalidateGeometryCache, isAntialiasedClip, isOffscreenBufferNeeded, isVisible, nodeHitAt, normalizeRectangle, paint, setClip, setComposite, setFilter, setMask, setParent, setPointerEventType, setRenderingHint, setRenderingHints, setRenderingHints, setRoot, setTransform, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### image

    protected Filter image

  The renderable image that represents this image node.

Constructor Detail

### RasterImageNode

    public RasterImageNode()

  Constructs a new empty `RasterImageNode`.

Method Detail

### setImage

    public void setImage(Filter newImage)

  Sets the raster image of this raster image node.

  Parameters:
    `newImage` - the new raster image of this raster image node

### getImage

    public Filter getImage()

  Returns the raster image of this raster image node.

  Returns:
    the raster image of this raster image node

### getImageBounds

    public Rectangle2D getImageBounds()

  Returns the bounds of this raster image node.

  Returns:
    the bounds of this raster image node

### getGraphicsNodeRable

    public Filter getGraphicsNodeRable()

  Returns the RenderableImage for this node. The returned RenderableImage this node before any of the filter operations have been applied.

### primitivePaint

    public void primitivePaint(Graphics2D g2d)

  Paints this node without applying Filter, Mask, Composite and clip.

  Parameters:
    `g2d` - the Graphics2D to use

### getPrimitiveBounds

    public Rectangle2D getPrimitiveBounds()

  Returns the bounds of the area covered by this node's primitive paint.

### getGeometryBounds

    public Rectangle2D getGeometryBounds()

  Returns the bounds of the area covered by this node, without taking any of its rendering attribute into account. That is, exclusive of any clipping, masking, filtering or stroking, for example.

### getSensitiveBounds

    public Rectangle2D getSensitiveBounds()

  Returns the bounds of the sensitive area covered by this node, This includes the stroked area but does not include the effects of clipping, masking or filtering.

### getOutline

    public Shape getOutline()

  Returns the outline of this node.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.